Subject: RE: dns discovery for agenda? [Re: chairs and charter]

From: "BELOEIL Luc FTRD/DMI/CAE" <[email-masked]>
Date: Wed, 19 Mar 2003 11:26:07 +0100

Hi all, 

> De : Erik Nordmark [mailto:[email-masked]]
> 
> 
> > If we have statefull address autoconfig & stateful address 
> autoconfig, I
> > think having an additional mechanism for getting DNS server 
> addresses is not
> > a  bad thing.  At the transport layer, we have UDP, 
> UDP-lite, DCCP, TCP,
> > SCTP ... to transfer packets.  Having multiple ways to do 
> something is a
> > reasonable solution.
> 
> Two issues with multiple methods to configure the same thing that
> hasn't been brought up are:
>  - potential impact on time to discover
> 	Since each router advertisement doesn't need to contain all
> 	options will a host need to listen for RAs for some time
> 	before it decides it to DHCPv6 to find the info?

I agree, that is a generic issue when several mechanisms exist. You
could also mentioned "will a host need to wait for DHCPv6 failure before
it decides to uses well-known DNS resolver addresses" .

>  - conflicting information
> 	A host might use DHCPv6 for other reasons/other information.
> 	What should it do if the RAs and the DHCPv6 reply contains
> 	different DNS information?

Maybe should we require some architectural constraints to avoid such
scenarios? Nevertheless in multihoming scenarios that remains a critical
point.

> 	What if different RAs received on the same interface contain
> 	different DNS information?
> 

For that last point, IMHO, DNS information transported in a RA should be
associated to the prefix annouced in that RA. If several RA advertise
several prefixes with different DNS information it's a matter of policy
management on the host. Am I wrong ?

Luc 

--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------

---

From: Erik Nordmark <[email-masked]>
Date: Wed, 19 Mar 2003 21:17:41 +0100 (CET)

> management on the host. Am I wrong ?

That doesn't work with the normal way to implement things.
DNS information on a node is global - it isn't and can't be associated
with an interface in any implementation I know of.

Furthermore, associting anything received in an RA with the sender or
prefix(es) of that particular RA is not consistent with the model even in
neighbor  discovery (the prefixes advertised vs. default router selection are
separate) let alone shouldn't be visible to higher levels of the stack.

While one could revisit these aspects of the IP architecture I'd be leery of
making IPv6 different than IPv4 in these respects.

  Erik